Bala\’s Blog

Posts Tagged ‘ComputerTips’

Problems in upgrading Ubuntu 9.04 from Ubuntu 8.10 in Virtualbox

Posted by Bala on August 20, 2009

I have using Virtualbox for more than 6 months and I was satisfied to use it. I was using my Virtualbox with Ubuntu 8.04 LTS. Yesterday I added one more virtual machine with Ubuntu 8.10 since my Ubuntu 8.04 was crashed and unable to recover. After installing Ubuntu 8.10, I have installed VBOXGuest Additions and after that I have updated to Ubuntu 9.04. When restarted the system after the upgrdation is done, I got the following error:

Ubuntu is running in low-graphics mode

The following error was encoutered. You may need
to update your configuration to solve it.

(EE) module ABI major version (4) doesn’t match the
server’s version (5)
(EE) failed to load module “vboxvideo” (module requirement
mismatch,0)
(EE) No drivers available.

After googling, I have found the solution from Virtualbox Forum. Steps to follow to get back the normal smooth booting.

– select the offered low resolution startup mode,
– Ubuntu will complain that something is on display:0 and it will try to start the x server on display:1
– accept it, Ubuntu starts
– install Guest Additions,
– and finally restart the operating system.

To avoid this you can reinstall Guest Additions first before restarting the system after successful upgradation.

Sometimes, even the above steps will not come because of misbehaved UI. So, in that case, you can have do the installation from CLI. Follow these steps,

1. sudo apt-get install build-essential linux-headers-generic

2. sudo mount /dev/scd0 /media/cdrom

3. sudo sh ./VBoxLinuxAdditions-x86.run

Advertisements

Posted in Tools | Tagged: , | 3 Comments »